<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-T3c6CoIi6uLrA9TneNEoa7RxnatzjcDSCmG1MXxSR1GAsXEV/Dwwykc2MPK8M2HN" crossorigin="anonymous">

<div class="container text-center">
<h1>Password Generator</h1>


<form action="{% url 'password' %}">
 <select name="length">

 <option value="6">6</option>
 <option value="7">7</option>
 <option value="9">9</option>
 <option value="10">10</option>
 <option value="11">11</option>
 <option value="12" selected="selected">12</option>
 <option value="13">13</option>
 <option value="14">14</option>
<input type="submit" value="Generate Password" class="btn btn-primary">
 </select> Length
<br>
 <input type="checkbox" name="uppercase"> Uppercase
<br>
 <input type="checkbox" name="numbers"> Numbers
<br>
 <input type="checkbox" name="special"> Special Characters
<br>

</form>

<a href="{% url 'about' %}">About</a>

</div>